<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:orientation="vertical">



    <LinearLayout
        android:id="@+id/mCard"
        android:layout_width="match_parent"
        android:layout_height="@dimen/dp_100"
        android:layout_marginLeft="@dimen/dp_14"
        android:layout_marginTop="@dimen/dp_20"
        android:layout_marginRight="@dimen/dp_14"
        android:background="@drawable/shape_round_white"
        android:elevation="@dimen/dp_2"
        android:orientation="horizontal">
        <de.hdodenhof.circleimageview.CircleImageView
            android:id="@+id/mImage"
            android:layout_width="@dimen/dp_60"
            android:layout_height="@dimen/dp_60"
            android:layout_gravity="center"
            android:layout_marginLeft="@dimen/dp_14"
            android:src="@mipmap/ic_default_women"
              />

        <TextView
            android:id="@+id/mTvRank"
            android:layout_width="wrap_content"
            android:layout_height="match_parent"
            android:layout_marginLeft="@dimen/dp_12"
            android:gravity="center|left"
            android:lineHeight="@dimen/dp_20"
            android:text="@string/rank"
            android:textColor="@color/col_004"
            android:textSize="@dimen/dp_14" />



        <TextView
            android:id="@+id/mTvRankInfo"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:gravity="center_vertical|right"
            android:textColor="@color/col_02c"
            android:layout_marginRight="@dimen/dp_14"
            android:text="第23名"
            android:textSize="@dimen/dp_18" />
    </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_below="@+id/mCard"
            android:orientation="vertical"
            android:background="@drawable/shape_round_white"
            android:layout_marginTop="@dimen/dp_14"
            android:layout_marginLeft="@dimen/dp_14"
            android:layout_marginRight="@dimen/dp_14"
            android:layout_height="wrap_content">
            <LinearLayout
                android:layout_width="match_parent"
                android:orientation="horizontal"
                android:paddingTop="@dimen/dp_8"
                android:layout_height="wrap_content">
                <TextView
                    android:layout_weight="0.5"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:paddingLeft="@dimen/dp_12"
                    android:textSize="@dimen/dp_11"
                    android:textColor="@color/col_c7c"
                    android:text="排名"/>
                <TextView
                    android:layout_weight="0.4"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:textSize="@dimen/dp_11"
                    android:layout_marginLeft="@dimen/dp_14"
                    android:textColor="@color/col_c7c"
                    android:text="姓名"/>

                <TextView
                    android:layout_weight="0.5"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:textSize="@dimen/dp_11"
                    android:layout_marginLeft="@dimen/dp_30"
                    android:textColor="@color/col_c7c"
                    android:text="城市"/>

                <TextView
                    android:layout_weight="0.3"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:textSize="@dimen/dp_11"
                    android:paddingRight="@dimen/dp_10"
                    android:gravity="right"
                    android:textColor="@color/col_c7c"
                    android:text="健康排名"/>

            </LinearLayout>
            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/mRecycle"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_marginBottom="@dimen/dp_14"

                />
        </LinearLayout>

</RelativeLayout>